org.wso2.carbon.device.mgt.mobile.windows.api.services.wstep.util

## Class CertificateSigningService

- java.lang.Object
- - org.wso2.carbon.device.mgt.mobile.windows.api.services.wstep.util.CertificateSigningService

-     public class CertificateSigningService
      extends Object

  Class for generating signed certificate for CSR form device.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CertificateSigningService()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static X509Certificate` | `signCSR(org.bouncycastle.pkcs.jcajce.JcaPKCS10CertificationRequest jcaRequest, PrivateKey privateKey, X509Certificate caCert, List certParameterList)` Implement certificate signing task using CSR received from the device and the MDM server key store.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CertificateSigningService

          public CertificateSigningService()

  - ### Method Detail

    - #### signCSR

          public static X509Certificate signCSR(org.bouncycastle.pkcs.jcajce.JcaPKCS10CertificationRequest jcaRequest,
                                PrivateKey privateKey,
                                X509Certificate caCert,
                                List certParameterList)
                                         throws CertificateGenerationException,
                                                WAPProvisioningException

      Implement certificate signing task using CSR received from the device and the MDM server key store.
      Parameters:
        `jcaRequest` - - CSR from the device
        `privateKey` - - Private key of CA certificate in MDM server
        `caCert` - - CA certificate in MDM server
        `certParameterList` - - Parameter list for Signed certificate generation
      Returns:
        - Signed certificate for CSR from device
      Throws:
        `CertificateGenerationException`
        `WAPProvisioningException`

Copyright © 2017 WSO2. All rights reserved.